Name:           extract_rpm
Summary:        RPM Context Menu for Dolphin
Version:        0.1.5
Release:        %mkrel 3
License:        GPL 2
PreReq:         /usr/bin/rpm2cpio /bin/cpio
Source0:        http://www.kde-apps.org/CONTENT/content-files/18748-%{name}-%{version}.tar.xz
Group:          Graphical desktop/KDE4
Url:            http://www.kde-apps.org/content/show.php/extract_rpm?content=18748
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       kdelibs kde-baseapps-dolphin
Requires:       rpm 
Requires:	cpio coreutils 
BuildArch:      noarch
Prefix:         %{_prefix}
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%define kde4_prefix %(kde4-config --prefix)

%description
RPM Context Menu for Dolphin.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT

mkdir %buildroot
mkdir %buildroot/etc
mkdir %buildroot/usr
mkdir %buildroot%_bindir
mkdir %buildroot%_datadir
mkdir %buildroot%_datadir/kde4
mkdir %buildroot%_datadir/kde4/services
mkdir %buildroot%_datadir/kde4/services/ServiceMenus

install -Dm 755 *_kde4.desktop %buildroot%_datadir/kde4/services/ServiceMenus

%files
%defattr(-, root, root)
%_datadir/kde4/services/ServiceMenus/%{name}_kde4.desktop

%clean
rm -rf %{buildroot}

%changelog
* Mon Jun 25 2012 Neal <nealbrks0 at gmail dot com> 0.1.5-3pclos2012
- process

* Mon Jun 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.1.5-3_archie_2012
- rebuild

* Sun May 08 2011 Texstar <texstar at gmail.com> 0.1.5-2pclos2011
- fix rpm group

* Sun Aug 22 2010 Texstar <texstar at gmail.com> 0.1.5-1pclos2010
- import form mib

